本文内容
命名空间:microsoft.graph
使用用户的公式区域设置,将新名称添加到给定范围的集合。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Files.ReadWrite、Sites.Read.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
Sites.Read.All
HTTP 请求
POST /me/drive/items/{id}/workbook/names/add
POST /me/drive/root:/{item-path}:/workbook/names/add
POST /me/drive/items/{id}/workbook/worksheets/{id|name}/names/add
POST /me/drive/root:/{item-path}:/workbook/worksheets/{id|name}/names/add
名称
说明
Authorization
Bearer {token}。必需。
Workbook-Session-Id
确定是否保留更改的工作簿会话 ID。可选。
请求正文
在请求正文中,提供具有以下参数的 JSON 对象。
参数
类型
说明
name
string
已命名项的名称。
公式
字符串
名称将引用的公式或区域。
comment
string
与此已命名项相关联的注释。
响应
如果成功,此方法将在响应正文中返回 200 OK 响应代码和 NamedItem 对象。
示例
下面是一个如何调用此 API 的示例。
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/me/drive/items/{id}/workbook/names/addFormulaLocal
Content-type: application/json
{
"name": "test7",
"formula": "=SUM(Sheet2!$A$1+Sheet2!$A$2)",
"comment": "Comment for the named item"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var name = "test7";
var formula = "=SUM(Sheet2!$A$1+Sheet2!$A$2)";
var comment = "Comment for the named item";
await graphClient.Me.Drive.Items["{driveItem-id}"].Workbook.Names
.AddFormulaLocal(name,formula,comment)
.Request()
.PostAsync();
const options = {
authProvider,
};
const client = Client.init(options);
const workbookNamedItem = {
name: 'test7',
formula: '=SUM(Sheet2!$A$1+Sheet2!$A$2)',
comment: 'Comment for the named item'
};
await client.api('/me/drive/items/{id}/workbook/names/addFormulaLocal')
.version('beta')
.post(workbookNamedItem);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/drive/items/{id}/workbook/names/addFormulaLocal"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
NSMutableDictionary *payloadDictionary = [[NSMutableDictionary alloc] init];
NSString *name = @"test7";
payloadDictionary[@"name"] = name;
NSString *formula = @"=SUM(Sheet2!$A$1+Sheet2!$A$2)";
payloadDictionary[@"formula"] = formula;
NSString *comment = @"Comment for the named item";
payloadDictionary[@"comment"] = comment;
NSData *data = [NSJSONSerialization dataWithJSONObject:payloadDictionary options:kNilOptions error:&error];
[urlRequest setHTTPBody:data];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
String name = "test7";
String formula = "=SUM(Sheet2!$A$1+Sheet2!$A$2)";
String comment = "Comment for the named item";
graphClient.me().drive().items("{id}").workbook().names()
.addFormulaLocal(WorkbookNamedItemAddFormulaLocalParameterSet
.newBuilder()
.withName(name)
.withFormula(formula)
.withComment(comment)
.build())
.buildRequest()
.post();
响应
这是一个示例响应。注意:为提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#workbookNamedItem",
"@odata.type": "#microsoft.graph.workbookNamedItem",
"@odata.id": "/users('ca41eb6e-5828-486b-ab52-c3bd1f7a4047')/drive/root/workbook/names(%27test7%27)",
"comment": "Comment for the named item",
"name": "test7",
"scope": "Workbook",
"type": "String",
"value": "0",
"visible": true
}